import java.util.Calendar;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.scheduler.ScheduleModifier;
import quadbase.scheduler.ScheduleObject;

//Report manager must be running
public class SchedulingExportReportEmailLink {

	public static void main(String[] args) {
		SchedulingExportReportEmailLink doScheduleExport = new SchedulingExportReportEmailLink();
		try {
			doScheduleExport.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		ScheduleModifier.setServerAddress("127.0.0.1");
		ScheduleModifier.setServerPortNumber(22071);

		ScheduleObject sObj = new ScheduleObject("Report_Email", ScheduleObject.REPORTOBJ);
		sObj.setFileLocation("Account.rpt");
		sObj.setReportType(IExportConstants.DHTML);
		sObj.setTaskOption(ScheduleObject.ONE_TIME);
		String exportLocation = sObj.pickDefaultExportLocation();
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 10);
		sObj.setStartDate(calendar.getTimeInMillis());
		sObj.setSendEmail(true);
		sObj.setFromAddress("user1@quadbase.com");
		sObj.setSubject("Report Email Account Report");
		sObj.setBodyText("Scheduled Export of Account from user1");
		sObj.setEmailType(ScheduleObject.ASLINK);
		sObj.setURLMapping("http://someMachine:somePort/ScheduledReports/");
		sObj.setToAddresses(new String[] { "user2@quadbase.com", "user3@quadbase.com" });

		ScheduleModifier.addScheduleTask(sObj);
	}

}
